﻿using Syncfusion.SfDataGrid.XForms;
using Xamarin.Forms;

namespace SfDataGridBugDemo
{
    public class GridStyle : DataGridStyle
    {
        private readonly Color _accentColor;

        public GridStyle(Color accentColor)
        {
            _accentColor = accentColor;
        }

        public override Color GetHeaderBackgroundColor()
        {
            return _accentColor;
        }

        public override Color GetHeaderForegroundColor()
        {
            return Color.White;
        }

        public override Color GetRecordBackgroundColor()
        {
            return Color.White;
        }

        public override Color GetRecordForegroundColor()
        {
            return Color.Black;
        }

        public override Color GetSelectionBackgroundColor()
        {
            return new Color(_accentColor.R, _accentColor.G, _accentColor.B, 0.3);
        }

        public override Color GetSelectionForegroundColor()
        {
            return Color.Black;
        }

        public override GridLinesVisibility GetGridLinesVisibility()
        {
            return GridLinesVisibility.Horizontal;
        }

        public override ImageSource GetHeaderSortIndicatorDown()
        {
            return null;
        }

        public override ImageSource GetHeaderSortIndicatorUp()
        {
            return null;
        }

        public override Color GetCaptionSummaryRowForegroundColor()
        {
            return _accentColor;
        }

        public override FontAttributes GetCaptionSummaryFontAttribute()
        {
            return FontAttributes.Bold;
        }
    }
}